Robot Simulator of the Robotics Group for Self-Organization of Control: main.cpp File Reference

# ga_tools/examples/robot_chain_tasked_GA_Simulation/main.cpp File Reference

`#include <stdio.h>`
`#include <selforg/noisegenerator.h>`
`#include <ode_robots/odeagent.h>`
`#include <selforg/one2onewiring.h>`
`#include <ode_robots/nimm2.h>`
`#include <ode_robots/playground.h>`
`#include <selforg/invertmotorspace.h>`
`#include <selforg/invertmotornstep.h>`
`#include <ode_robots/taskedsimulation.h>`
`#include <ode_robots/simulationtask.h>`
`#include <ode_robots/simulationtaskhandle.h>`
`#include <ode_robots/simulationtasksupervisor.h>`
`#include <ga_tools/SingletonGenAlgAPI.h>`
`#include <string>`
`#include <list>`
`#include <selforg/randomgenerator.h>`
`#include "SingletonGenEngine.h"`
`#include <vector>`
`#include <map>`
`#include <selforg/inspectable.h>`
`#include "Gen.h"`
`#include "IValue.h"`
`#include "GenPrototype.h"`
`#include <ga_tools/TemplateValue.h>`
`#include <ga_tools/ValueMutationStrategy.h>`
`#include <ga_tools/StandartMutationFactorStrategy.h>`
`#include <ga_tools/DoubleRandomStrategy.h>`
`#include <ga_tools/IFitnessStrategy.h>`
`#include <selforg/trackablemeasure.h>`
`#include <selforg/statistictools.h>`
`#include <selforg/quickmp.h>`
`#include <selforg/oneactivemultipassivecontroller.h>`
`#include <selforg/mutualinformationcontroller.h>`
`#include <selforg/measureadapter.h>`
Include dependency graph for ga_tools/examples/robot_chain_tasked_GA_Simulation/main.cpp:
This graph shows which files directly or indirectly include this file:

## Classes
struct | ThisSimulationTaskHandle
class | ThisSim
| Just create your own simulation, it's up to you. More...
class | ThisSimCreator
| Defines a method to construct a ThisSim. More...
## Defines
#define | NUMBER_GENERATION 15
#define | NUMBER_OF_TESTS_BY_CALCULATE 120
## Functions
int | main (int argc, char **argv)

## Define Documentation

#define NUMBER_GENERATION 15

#define NUMBER_OF_TESTS_BY_CALCULATE 120

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv |
| ) |  |  |